<?php
/**
 * Настройки модуля
 *
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.4
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2014 OOO «Диафан» (http://diafan.ru)
 */

if (!defined('DIAFAN')) {
    include realpath(dirname(__FILE__) . '/../_diafan_check.php');
}

class Ubrr_admin_config extends Frame_admin
{
    /**
     * @var array поля в базе данных для редактирования
     */
    public $variables = array(
        'base' => array(
            'hr1' => array(
                'name' => 'Настройки интеграции с банком', 'type' => 'title'
            ),
            'ubrr_client_id' => Array(
                'name' => 'Идентификатор магазина', 'type' => 'numtext'),
            'ubrr_certificate_pass' => Array(
                'name' => 'Пароль сертификата', 'type' => 'numtext'),
            'hr2' => array(
                'name' => 'Служебные свойства', 'type' => 'title'
            ),
            'ubrr_certificate_request_receivers' => Array(
                'name' => 'Email получателей запросов на регистрацию сертификатов (изменять только по требованию сотрудинков банка!)', 'type' => 'text'
            ),
            'ubrr_test' => array(
                'name' => 'Режим отладки (для разработчиков)', 'type' => 'checkbox'
            ),
            'ubrr_new_certificate_password' => Array(
                'name' => 'Пароль от нового приватного сертификата', 'type' => 'none'
            ),
            'ubrr_certificate_create_date' => Array(
                'name' => 'Дата генерации нового сертификата', 'type' => 'none'
            ),
        )
    );

    /**
     * @var array настройки модуля
     */
    public $config = Array(
        'config', // файл настроек модуля
    );
}