<? include realpath(dirname(__FILE__) . '/../_diafan_check.php'); ?>
<?

$openLogURL = '/admin/ubrr/log/';
$openConfigURL = '/admin/ubrr/config/';
$certificateGenerateURL = '/admin/ubrr/certificate_generate/';

//Значения по умолчанию
$shopId = false;
$certPass = false;
$publicCert = false;
$privateCert = false;
$strCertificateCreationDate = false;

$isTestMode = false;

$validPublicFilesArray = Array();
$validPrivateFilesArray = Array();

$logErrors = 0;

//Выковыриваем все из массива $result "наружу" :)
foreach ($result as $code => $value) {
    ${$code} = $value;
}

$adminCSSFilePath = realpath(dirname(__FILE__) . '/../css/admin.css'); ?>
<style><?= file_get_contents($adminCSSFilePath) ?></style>

<h1>Проверка состояния модуля</h1>
<div class="isys_ubrir_container">
    <div class="param shop_id">
        <?
        if ($shopId) {
            ?>
            <div class="paramValue success">Номер ретейлера: <?= $shopId ?></div><?
        } else {
            ?>
            <div class="paramValue error">В настройках модуля не указан номер ретейлера!</div><?
        }
        ?>
    </div>
    <?
    //Основные настройки
    if ($shopId) {
        if ($publicCert) {
            if ($strCertificateCreationDate) {
                $createDate = DateTime::createFromFormat('d.m.Y', $strCertificateCreationDate);
                $expireDate = $createDate->modify('1 year')->modify('-1 month');
                $now = new DateTime();

                $certificateCheckClass = 'success';
                $certificateRenewMessage = '';
                if ($now->getTimestamp() > $expireDate->getTimestamp()) {
                    $certificateCheckClass = 'error';
                    $certificateRenewMessage = '<br/><p>Срок действия сертификатов подходит к концу - рекомендуем 
<a class="adm-btn" href="' . $certificateGenerateURL . '">перевыпустить сертификаты</a></p>';
                }

                ?>
                <div class="<?= $certificateCheckClass ?> certificateCreateDate">
                    Дата последней генерации сертификатов:
                    <span class="dateTime"><?= $strCertificateCreationDate ?></span>
                    <?= $certificateRenewMessage ?>
                </div><br/>
                <?
            }

            ?>
            <div class="param">
            <div class="paramValue success">Публичный сертификат:
                <div class="file_path"><?= $publicCert ?></div>
            </div>
            </div><?
        }

        if ($privateCert) {
            ?>
            <div class="param">
            <div class="paramValue success">Приватный сертификат:
                <div class="file_path"><?= $privateCert ?></div>
            </div>
            </div><?
        }
    }

    //Нет сертификатов
    if (!$publicCert || !$privateCert) {

        if (!$publicCert): ?>
            <?
            $validPublicPath = '';
            $validPublicFiles = Array();
            foreach ($validPublicFilesArray as $file) {
                $validPublicPath = dirname($file);
                $validPublicFiles[] = basename($file);
            };
            ?>
            <div class="param">
                <div class="paramValue error">Не найдена публичная часть сертификата! Проверяемая директория:
                    <div class="file_path"><?= $validPublicPath ?></div>
                    <p class="comment">Допустимые имена публичного сертификата:</p>
                    <ul class="file_list">
                        <li><?= implode("<li>", $validPublicFiles) ?>
                    </ul>
                </div>
            </div>
        <? endif ?>

        <?
        if (!$privateCert): ?>
            <?
            $validPrivatePath = '';
            $validPrivateFiles = Array();
            foreach ($validPrivateFilesArray as $file) {
                $validPrivatePath = dirname($file);
                $validPrivateFiles[] = basename($file);
            };
            ?>
            <div class="param">
                <div class="paramValue error">Не найдена приватная часть сертификата! Проверяемая директория:
                    <div class="file_path"><?= $validPrivatePath ?></div>
                    <p class="comment">Допустимые имена приватного сертификата:</p>
                    <ul class="file_list">
                        <li><?= implode("<li>", $validPrivateFiles) ?></ul>

                </div>
            </div>
        <? endif ?>

        <div class="param">
            <a class="adm-btn" href="<?= $certificateGenerateURL ?>">Сгенерировать сертификаты</a>
        </div>
        <?
    }

    ?>

    <?
    if (!$certPass) {
        ?>
        <div class="param">
            <div class="paramValue error">В настройках модуля не указан пароль от приватной части сертификата!</div>
        </div><?
    }
    if (!$shopId || !$certPass) {
        ?><a class="adm-btn" href="<?= $openConfigURL ?>">Открыть настройки модуля</a><?
    }
    if ($isTestMode) {
        ?>
        <div class="param">
            <div class="paramValue error">Включен тестовый режим</div>
        </div><?
    }

    if ($logErrors > 0) {
        ?>
        <div class="param">
            <div class="paramValue error">Неудавшихся операций в логе:<?= $logErrors ?>.<br>
            </div>
        </div>
        <a class="adm-btn" href="<?= $openLogURL ?>">Просмотр лога</a><br/><br/><?
    }
    ?>

    <hr/>
    <a class="adm-btn" href="<?= $openConfigURL ?>">Открыть настройки модуля</a>
</div>