<?php
/**
 * Обработка данных, полученных от системы Robokassa
 *
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    6.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2016 OOO «Диафан» (http://www.diafan.ru/)
 */

//После установки этот файл лежит в /modules/payment/backend/ubrr
//Чтобы сюда попасть путь будет: http://site.ru/payment/get/ubrr и  в $rewriteRule прилетит payment/get/ubrr, и отброситься

//include realpath(dirname(__FILE__) . '/../_diafan_check.php');

$rewriteRule = $_REQUEST["rewrite"];
$rewriteRule = trim(str_replace('payment/get/ubrr/', '', $rewriteRule));
include_once(realpath(dirname(__FILE__) . '/../_load_ubrr_classes.php'));

if ($rewriteRule == 'callback') {

    $diafanConnector = new \UBRIR\Diafan\DiafanConnector($this->diafan);
    $callbackHandler = new \UBRIR\Diafan\CallbackHandler($diafanConnector);

    $callbackHandler->ProcessCallbackResponse();

    if (!$callbackHandler->isRequestSuccessfullyParsed()) {
        echo 'Что-то не то';
        die(); //Что-то странное
    }

    // Если оплата прошла
    if ($callbackHandler->isPaymentApproved()) {
        // Найду настроки платежной системы по заказу
        $shopOrderId = $callbackHandler->GetShopOrderId();
        $payId = $callbackHandler->GetPaymentId();

        $diafanOrderInfo = $this->diafan->_payment->check_pay($payId, 'ubrr');
        $this->diafan->_payment->success($diafanOrderInfo, 'pay');
    }

    $callbackHandler->ShowCallbackProcessResult();
    exit;
} else {
    echo 'RUN TOO';
    Custom::inc('includes/404.php');
}