<?php

namespace UBRIR\Diafan;

use UBRIR\CMS_PaymentCallback;


class CallbackHandler extends CMS_PaymentCallback
{
    function __construct(DiafanConnector $connector)
    {
        parent::__construct($connector);
    }

    public function OnPaymentApproved($shopOrderId, $sessionId)
    {
        return true;
    }

    public function OnPaymentCanceled($shopOrderId, $sessionId)
    {
        return false;
    }

    public function OnPaymentDeclined($shopOrderId, $sessionId)
    {
        return false;
    }
}