<?php
/**
 * Created by PhpStorm.
 * User: Alexander
 * Date: 02.10.2017
 * Time: 11:21
 */

namespace UBRIR\Diafan;

use \UBRIR\GatewayForAdmin;

class GatewayAdmin extends GatewayForAdmin
{
    private $diafanConnector;

    function __construct(DiafanConnector $connector)
    {
        $this->diafanConnector = $connector;
        parent::__construct($connector);
    }

    public function GetPaginator()
    {
        return $this->diafanConnector->diafanPaginator;
    }

    //Для тех окружений где недоступно однострочное создание объекта класса вроде (new BitrixGatewayAdmin())->ShowOrders() можно использовать BitrixGatewayAdmin::ShowOrders()
    static function __callStatic($functionName, $arguments)
    {
        if (static::$__callCache == null) {
            parent::_fillCallCache();
        }

        if (isset(static::$__callCache[$functionName])) {
            $className = __CLASS__;
            $GatewayForAdmin = new $className();

            return $GatewayForAdmin->$functionName($arguments);
        }

        return NULL;
    }
}
