<? include realpath(dirname(__FILE__) . '/../_diafan_check.php'); ?>
<? $adminCSSFilePath = realpath(dirname(__FILE__) . '/../css/admin.css'); ?>

<style><?= file_get_contents($adminCSSFilePath) ?></style>
<h1>Генерация сертификатов</h1>
<?

//Выковыриваем все из массива $result "наружу" :)
foreach ($result as $code => $value) {
    ${$code} = $value;
}
?>

<div class="isys_ubrir_container">
    <div class="resultContainer">
        <?= $resultText ?>
    </div>

    <? if ($showForm): ?>
        <form name="newCertificateRequest" method="POST">
            <div class="fieldBlock organization">
                <input name="organization" value="<?= !empty($organization) ? $organization : '' ?>"
                       placeholder="Например: Компания" required/>
                <label for="organization">Название организации</label>
            </div>


            <div class="fieldBlock from_email">
                <input type="email" name="from_email" value="<?= !empty($from_email) ? $from_email : '' ?>"
                       placeholder="Например: admin@site.ru" required>
                <label for="division">E-mail ответственного лица</label>
            </div>

            <div class="fieldBlock merchantId">
                <input name="merchant_id" value="<?= !empty($shopId) ? $shopId : '' ?>" required/>
                <label for="merchant_id">Номер ретейлера</label>
                <div class="inputHelp">Указан в договоре</div>
                <?//TODO: стоит подумать о том что делать если были ошибки в ИМ или сертификат генерировался с другим ИМ! Особенно для мультисайтового Битрикс?>
            </div>

            <div class="fieldBlock password">
                <input name="password" value="<?= !empty($password) ? $password : $newCertificatePassword ?>" required/>
                <label for="password">Пароль к сертификату</label>
            </div>

            <div class="fieldBlock country">
                <input name="country" value="<?= !empty($country) ? $country : '' ?>" placeholder="Например: Россия"
                       list="dl-ru-country-list" required/>
                <label for="country">Страна</label>
                <datalist id="dl-ru-country-list">
                    <? foreach ($arCountryList as $country => $countryCode): ?>
                        <option value="<?= $country ?>"><?= $countryCode ?></option>
                    <? endforeach ?>
                </datalist>
            </div>

            <div class="fieldBlock region">
                <input name="region" value="<?= !empty($region) ? $region : '' ?>" list="dl-ru-region-list"
                       placeholder="Регион, например Свердловская область" required/>
                <label for="region">Регион</label>

                <datalist id="dl-ru-region-list">
                    <? foreach ($arRuRegionsList as $regionTitle => $regionCode): ?>
                        <option value="<?= $regionTitle ?>"><?= $regionCode ?></option>
                    <? endforeach ?>
                </datalist>
            </div>

            <div class="fieldBlock city">
                <input name="city" value="<?= !empty($city) ? $city : '' ?>" placeholder="Например: Екатеринбург"
                       list="dl-ru-city-list" required/>
                <label for="city">Город</label>
                <datalist id="dl-ru-city-list">
                    <? foreach ($arRuCityList as $cityTitle): ?>
                        <option><?= $cityTitle ?></option>
                    <? endforeach ?>
                </datalist>
            </div>


            <input type="submit" name="submit" value="Готово">
        </form>
    <? else: ?>
        <br/>
        <?
        if ($responseIsSuccess) {
            ?>
            После получения сертификата на почту отвественного лица его необходимо будет загрузить на сервер используя раздел

            <a class="adm-btn" href="/admin/ubrr/certificate_upload/">Загрузка .pem сертификата</a>
            <br/>
            <br/>
            <?
        } else {
            ?>
            Обратитесь к хостеру для устранения проблем с отправкой писем и повторите попытку.
            <?
        }
        ?>

        <a class="adm-btn" href="/admin/ubrr/">Вернуться на главную страницу модуля</a>
        <br/>
    <? endif ?>
</div>
